REM  *****  BASIC  *****

function getField (MainFormName as String, optional SubFormName, selMain as integer, nameField) as object
' =====================================================
' Returns a Textfield as Object
'
' selMain = 0 means the Field in the MainForm will be detected
' selMain = 1 means the Field in the SubForm will be detected
'
' MainFormName = Name of MainForm
' SubForm = Name of SubForm
' nameField = Name of Field  
'
' oField = returned by the function
' =====================================================
dim oDoc as Object
dim oField as Object

	oDoc = thisComponent
	select case selMain
		case 0: ' MainForm 
			oField = oDoc.drawpage.forms.getbyName(MainFormName).getbyName(nameField)
		case 1: ' SubForm
			oField = oDoc.drawpage.forms.getbyName(MainFormName).getByName(SubFormName).getbyName(nameField)
	end select
		
	getField = oField
end function

